incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sumit Mohanty (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-3236) Add support for ambari-server upgrade against oracle db using the ambari-server script.
Date Fri, 13 Sep 2013 22:56:53 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-3236?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13767112#comment-13767112
] 

Sumit Mohanty commented on AMBARI-3236:
---------------------------------------

LGTM, +1.

                
> Add support for ambari-server upgrade against oracle db using the ambari-server script.
> ---------------------------------------------------------------------------------------
>
>                 Key: AMBARI-3236
>                 URL: https://issues.apache.org/jira/browse/AMBARI-3236
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 1.3.0
>            Reporter: Mahadev konar
>            Assignee: Myroslav Papirkovskyy
>             Fix For: 1.4.1
>
>         Attachments: AMBARI-3236.patch
>
>
> ambari-server upgrade is hard-coded against postgres and uses the upgrade script for
postgres (Ambari-DDL-Postgres-UPGRADE-1.3.0.sql). We need to add support for upgrade when
Ambari is using oracle. As Oracle DB support was added in 1.2.4.9 the upgrade script itself
will be minimal (perhaps only metainfo modification).
> ambari-server upgrade can use ambari.properties file to figure out the target DB and
decide which script to use for upgrade.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message